Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.soap.server
Interface ConfigManager

All Known Implementing Classes:
  BaseConfigManager

public interface ConfigManager

A `ConfigManager` is responsible for saving and loading the list of deployed services or providers. The SOAP server will just call deploy/undeploy... and its up to the class that implements these API to handling the persistence of the list.

Init will be called after the 'setOptions' call allowing the configuration manager to do any setup.

Method Summary
`void` | `deploy(DeploymentDescriptor dd)` Deploy the given entity.
`void` | `init()` Initialize the configuration manager.
`java.lang.String[]` | `list(int reservedEntries)` Get a list of ids for all entities that have been deployed.
`DeploymentDescriptor` | `query(java.lang.String id)` Get the deployment descriptor for the given ID.
`void` | `setContext(javax.servlet.ServletContext context)` Set the servlet context for this configuration manager.
`void` | `setOptions(java.util.Properties options)` Set configuration manager options specified in the SOAP server configuration.
`DeploymentDescriptor` | `undeploy(java.lang.String id)` Undeploy the entity identified by its ID and return its descriptor.

Method Detail

### setOptions

    public void setOptions(java.util.Properties options)
                    throws SOAPException

  Set configuration manager options specified in the SOAP server configuration.
  Parameters:
    `options` - The options specified for this configuration manager.
  Throws:
    `SOAPException` - An error was encountered while processing the options.

### setContext

    public void setContext(javax.servlet.ServletContext context)

  Set the servlet context for this configuration manager.
  Parameters:
    `context` - The servlet context.

### init

    public void init()
              throws SOAPException

  Initialize the configuration manager.
  Throws:
    `SOAPException` - An error was encountered during initialization.

### undeploy

    public DeploymentDescriptor undeploy(java.lang.String id)
                                  throws SOAPException

  Undeploy the entity identified by its ID and return its descriptor.
  Parameters:
    `id` - The unique ID of the service to undeploy.
  Returns:
    The descriptor containing the deployment information for the entity that has been undeployed.
  Throws:
    `SOAPException` - If the descriptor is not found or failed to undeploy.

### deploy

    public void deploy(DeploymentDescriptor dd)
                throws SOAPException

  Deploy the given entity.
  Parameters:
    `dd` - The descriptor for the entity to deploy.
  Throws:
    `SOAPException` - If unable to deploy.

### query

    public DeploymentDescriptor query(java.lang.String id)
                               throws SOAPException

  Get the deployment descriptor for the given ID.
  Returns:
    The descriptor containing the deployment information for the entity with the given ID.
  Throws:
    `SOAPException` - If the descriptor is not found.

### list

    public java.lang.String[] list(int reservedEntries)
                            throws SOAPException

  Get a list of ids for all entities that have been deployed.
  Parameters:
    `reservedEntries` - The number of unused entries at the front of the returned array that are are reserved for use by the caller.
  Returns:
    An array of deployed ids.
  Throws:
    `SOAPException` - Unable to list ids.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.